/* -*-c-*-
 *
 * $Id: primorial.h,v 1.1 1999/12/22 15:51:02 mdw Exp $
 *
 * Computes the product of the small primes
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Catacomb.
 *
 * Catacomb is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * Catacomb is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with Catacomb; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: primorial.h,v $
 * Revision 1.1  1999/12/22 15:51:02  mdw
 * Calculate product of small primes for DSA prime search.
 *
 */

#ifndef CATACOMB_PRIMORIAL_H
#define CATACOMB_PRIMORIAL_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#ifndef CATACOMB_MP_H
#  include "mp.h"
#endif

/*----- Global variables --------------------------------------------------*/

extern mp *primorial;

/*----- Main code ---------------------------------------------------------*/

/* --- @primorial_setup@ --- *
 *
 * Arguments:	---
 *
 * Returns:	---
 *
 * Use:		Computes the product of the small primes in the table
 *		@primetab@.
 */

extern void primorial_setup(void);

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
